#ifndef __config_h
#define __config_h
#include "platform.h"

#define i2c_scl_port PORTC
#define i2c_sda_port PORTC
#define i2c_scl_pin  1
#define i2c_sda_pin  2

// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on

// - - - - - - - - - - - - - - - - - - - - 
// ITS mode2 defines
// - - - - - - - - - - - - - - - - - - - - 

// #define ITS_EA { 0, 0, 0, 0, 0, 0, 0, 3 }
#define ITS_MODE2_ROUTER
// or
//#define ITS_MODE2_DEVICE

#define ITS2_SEEN_LIST_SIZE 10
#define ITS2_TX_QUEUE_SIZE 5
#define ITS2_MAX_HOP_COUNT 5
#define ITS2_RESEND_TICK_DELAY 5000
#define ITS2_SEND_MAX_TRIES 2
// - - - - - - - - - - - - - - - - - - - - 
// its common defines
// - - - - - - - - - - - - - - - - - - - - 

#define ITS_MAX_KNOWN_DEVICES 5


// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 250
#define SERIAL_RX_BUFFER_SIZE 4
//#define SERIAL_DEBUG_ON

// - - - - - - - - - - - - - - - - - - - - 
// spi_hw defines
// - - - - - - - - - - - - - - - - - - - - 

#define SPI_HW_MASTER_MODE
// or
//#define SPI_HW_SLAVE_MODE

// In master mode, we need to define clock
//#define SPI_HW_MASTER_CLOCK_TMR2_DIV_2
//#define SPI_HW_MASTER_CLOCK_FOSC_DIV_64
#define SPI_HW_MASTER_CLOCK_FOSC_DIV_16
//#define SPI_HW_MASTER_CLOCK_FOSC_DIV_4

// mrf24j40

// interrupt (input)
#define mrf24j40_int_port PORTB
#define mrf24j40_int_pin  0

// Chip Select (output, active low)
#define mrf24j40_cs_port PORTA
#define mrf24j40_cs_pin  5

// Reset (output, active low, weak pull-up)
//#define mrf24j40_reset_port PORTA
//#define mrf24j40_reset_pin  3

// Wake (output, disabled by default)
//#define mrf24j40_wake_port PORTA
//#define mrf24j40_wake_pin  4

// Depending on your module
#define ENABLE_PA_LNA
#define MRF24J40MB
#define APPLICATION_SITE USA

// ------------
// ITS Wireless
// ------------

#define ITS_USE_MRF24J50
//#define ITS_MODE_1
//#define ITS_MODE_2
//#define ITS_DEVICE_TYPE ITS_M1_MASTER
// #define ITS_DEVICE_TYPE ITS_M1_SLAVE
// #define ITS_EXTENDED_ADDRESS {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01}
#define ITS_NETWORK_ID 0xa1a2
//#define ITS_DEVICE_ID  0xb001
#define ITS_MAX_KNOWN_DEVICES	5
#define ITS_FIXED_CHANNEL	15

// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE OLIMEX_BOARD
#define PLATFORM_CLOCK 64000000

//#define PLATFORM_TYPE SCHMARTBOARD
//#define PLATFORM_CLOCK 16000000

#endif