/*

Copyright (c) 2010, Embedded Adventures, www.embeddedadventures.com
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

- Neither the name of Embedded Adventures nor the names of its contributors
  may be used to endorse or promote products derived from this software
  without specific prior written permission.
 
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
THE POSSIBILITY OF SUCH DAMAGE.

Contact us at admin@embeddedadventures.com

*/

/*! \file debug.h
    \brief A nice way of printing debug, allowing it to be compiled out for production	
	
*/

#ifndef __debug_h
#define __debug_h

#include "pic_serial.h"
#include "config.h"

/*

Put the following in your config.h

// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on

*/

#define debug_putc(c)
#define debug_str(str)
#define debug_var(str, i)
#define debug_int(i)
#define debug_int_hex(i)
#define debug_int_hex_16bit(i)
#define debug_nl()
#define debug_spc()

#ifdef debug_on
	#ifdef debug_serial
		#undef debug_putc(c)
		#undef debug_str(str)
		#undef debug_var(str, i)
		#undef debug_int(i)
		#undef debug_int_hex(i)
		#undef debug_int_hex_16bit(i)
		#undef debug_nl()
		#undef debug_spc()
		
		#define debug_putc(c)			serial_putc(c)
		#define debug_str(str)			serial_print_str(str)
		#define debug_var(str, i)		serial_print_var(str, i)
		#define debug_int(i)			serial_print_int(i)
		#define debug_int_hex(i)		serial_print_int_hex(i)
		#define debug_int_hex_16bit(i)	serial_print_int_hex_16bit(i)
		#define debug_nl()				serial_print_nl()
		#define debug_spc()				serial_print_spc()
	#endif
#endif

#endif