/*

Copyright (c) 2010, Embedded Adventures, www.embeddedadventures.com
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

- Neither the name of Embedded Adventures nor the names of its contributors
  may be used to endorse or promote products derived from this software
  without specific prior written permission.
 
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
THE POSSIBILITY OF SUCH DAMAGE.

Contact us at admin@embeddedadventures.com
*/

/** \file ea_bitmaps.c
    \brief Bitmaps for draw library testing


*/
char embedded_bitmap[] = {
0x40,	// width
0x08,	// height
0x01,	// bits per pixel
0x40,	// data in bytes (below)
0x78,0xA4,0xA4,0x24,0x24,0x38,0x00,0x00,0xF8,0x04,0x04,0xFC,0x04,0x04,0x04,0xF8,
0x00,0x7F,0x84,0x84,0x84,0x84,0x84,0x78,0x00,0x00,0x78,0xA4,0xA4,0x24,0x24,0x38,
0x00,0x78,0x84,0x84,0x84,0x84,0x84,0x7F,0x00,0x78,0x84,0x84,0x84,0x84,0x84,0x7F,
0x00,0x00,0x78,0xA4,0xA4,0x24,0x24,0x38,0x00,0x78,0x84,0x84,0x84,0x84,0x84,0x7F,
};


char adventures_bitmap[] = {
0x40,	// Width pixels
0x08,	// Height pixels
0x01,	// bits per pixel
0x40,	// data in bytes (below)
0x70,0x90,0x90,0x90,0x94,0x94,0x7C,0x00,0x78,0x84,0x84,0x84,0x84,0x84,0x7F,0x00,
0x0C,0x18,0x60,0xC0,0x70,0x18,0x0C,0x00,0x78,0xA4,0xA4,0x24,0x24,0x38,0x00,0xF8,
0x04,0x04,0x04,0x04,0x04,0xF8,0x04,0xFF,0x04,0x04,0x7C,0x80,0x80,0x80,0x80,0xFC,
0x00,0xF8,0x04,0x04,0x00,0x78,0xA4,0xA4,0x24,0x24,0x38,0x00,0x98,0xA4,0xA4,0xC4,
};

char e_bitmap[] = {
0x11,	// Width pixels
0x10,	// Height pixels
0x01,	// bits per pixel
0x22,	// data in bytes

0xF8,0x1F,0xFE,0x7F,0xFE,0x7F,0xFF,0xFF,0xCF,0xF3,0xCF,0xF3,0xCF,0xF3,0xCF,0xF3,
0xCF,0xF3,0xCF,0xF3,0xCF,0x03,0xCF,0x03,0xCF,0x03,0xFF,0x03,0xFE,0x03,0xFE,0x03,
0xFC,0x03,
};

char a_bitmap[] = {
0x12,	// Width pixels
0x10,	// Height pixels
0x01,	// bits per pixel
0x24,	// data in byutes
0x80,0x3F,0xC0,0x7F,0xC0,0x7F,0xE0,0xFF,0xE0,0xF1,0xE0,0xF1,0xE0,0xF1,0xE0,0xF1,
0xE6,0xF1,0xEF,0xF1,0xEF,0xF1,0xEF,0xF1,0xEF,0xF1,0xEF,0xF1,0xFF,0xFF,0xFE,0x7F,
0xFE,0x7F,0xF8,0x3F,
};

char e_big_bitmap[] = {
0x22,	// width
0x20,	// height
0x01,	// bpp
0x88,	// size of data
0x80,0xFF,0xFF,0x01,
0xE0,0xFF,0xFF,0x07,
0xF8,0xFF,0xFF,0x1F,
0xFC,0xFF,0xFF,0x3F,
0xFC,0xFF,0xFF,0x3F,
0xFE,0xFF,0xFF,0x7F,
0xFE,0xFF,0xFF,0x7F,
0xFE,0xF1,0x87,0x7F,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0xFF,
0xFF,0xF0,0x07,0x3C,
0xFF,0xF0,0x07,0x00,
0xFF,0xF0,0x07,0x00,
0xFF,0xF0,0x07,0x00,
0xFF,0xF0,0x07,0x00,
0xFF,0xF0,0x07,0x00,
0xFF,0xF0,0x07,0x00,
0xFF,0xF1,0x07,0x00,
0xFE,0xFF,0x07,0x00,
0xFE,0xFF,0x07,0x00,
0xFE,0xFF,0x07,0x00,
0xFC,0xFF,0x07,0x00,
0xF8,0xFF,0x07,0x00,
0xF0,0xFF,0x03,0x00,
0xC0,0xFF,0x01,0x00,	
};


char a_big_bitmap[] = {
0x23,	// width
0x20,	// height
0x01,	// bpp
0x94,	// size of data
0x00,0x80,0xFF,0x03,
0x00,0xC0,0xFF,0x0F,
0x00,0xF0,0xFF,0x1F,
0x00,0xF0,0xFF,0x3F,
0x00,0xF8,0xFF,0x7F,
0x00,0xF8,0xFF,0x7F,
0x00,0xF8,0xFF,0x7F,
0x00,0xFC,0x81,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x00,0xFC,0x00,0xFF,
0x18,0xFC,0x00,0xFF,
0x7E,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFC,0x00,0xFF,
0xFF,0xFD,0x80,0xFF,
0xFE,0xFF,0xFF,0x7F,
0xFE,0xFF,0xFF,0x7F,
0xFE,0xFF,0xFF,0x7F,
0xFC,0xFF,0xFF,0x3F,
0xF8,0xFF,0xFF,0x1F,
0xF0,0xFF,0xFF,0x0F,
0xC0,0xFF,0xFF,0x03,
};